<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.harmonic.mapper.specialanalysis.RMpEmissionIMMapper">

    <resultMap id="BaseResultMap" type="com.njcn.harmonic.pojo.po.RMpEmissionIM">
            <id property="orgNo" column="org_no" jdbcType="VARCHAR"/>
            <id property="monitorTag" column="monitor_tag" jdbcType="VARCHAR"/>
            <id property="measurementPointId" column="measurement_point_id" jdbcType="VARCHAR"/>
            <id property="dataDate" column="data_date" jdbcType="DATE"/>
            <result property="iRate2" column="i_rate_2" jdbcType="FLOAT"/>
            <result property="iRate3" column="i_rate_3" jdbcType="FLOAT"/>
            <result property="iRate4" column="i_rate_4" jdbcType="FLOAT"/>
            <result property="iRate5" column="i_rate_5" jdbcType="FLOAT"/>
            <result property="iRate6" column="i_rate_6" jdbcType="FLOAT"/>
            <result property="iRate7" column="i_rate_7" jdbcType="FLOAT"/>
            <result property="iRate8" column="i_rate_8" jdbcType="FLOAT"/>
            <result property="iRate9" column="i_rate_9" jdbcType="FLOAT"/>
            <result property="iRate10" column="i_rate_10" jdbcType="FLOAT"/>
            <result property="iRate11" column="i_rate_11" jdbcType="FLOAT"/>
            <result property="iRate12" column="i_rate_12" jdbcType="FLOAT"/>
            <result property="iRate13" column="i_rate_13" jdbcType="FLOAT"/>
            <result property="iRate14" column="i_rate_14" jdbcType="FLOAT"/>
            <result property="iRate15" column="i_rate_15" jdbcType="FLOAT"/>
            <result property="iRate16" column="i_rate_16" jdbcType="FLOAT"/>
            <result property="iRate17" column="i_rate_17" jdbcType="FLOAT"/>
            <result property="iRate18" column="i_rate_18" jdbcType="FLOAT"/>
            <result property="iRate19" column="i_rate_19" jdbcType="FLOAT"/>
            <result property="iRate20" column="i_rate_20" jdbcType="FLOAT"/>
            <result property="iRate21" column="i_rate_21" jdbcType="FLOAT"/>
            <result property="iRate22" column="i_rate_22" jdbcType="FLOAT"/>
            <result property="iRate23" column="i_rate_23" jdbcType="FLOAT"/>
            <result property="iRate24" column="i_rate_24" jdbcType="FLOAT"/>
            <result property="iRate25" column="i_rate_25" jdbcType="FLOAT"/>
    </resultMap>

    <sql id="Base_Column_List">
        org_no,monitor_tag,measurement_point_id,data_date,i_rate_2,
        i_rate_3,i_rate_4,i_rate_5,
        i_rate_6,i_rate_7,i_rate_8,
        i_rate_9,i_rate_10,i_rate_11,
        i_rate_12,i_rate_13,i_rate_14,
        i_rate_15,i_rate_16,i_rate_17,
        i_rate_18,i_rate_19,i_rate_20,
        i_rate_21,i_rate_22,i_rate_23,
        i_rate_24,i_rate_25
    </sql>
</mapper>
